#include "rtos.h"
#include "HardwareLPC1768.hpp"
#include "WSRequest.hpp"

DigitalOut led(LED1);

/** Allow simple communication with a websocket server */
void serverCommunication()
{
    WSRequest server("ws://192.168.64.42:8000/");
    char buf[32] = "Testing the server";
    printf("Sending message to server: %s", buf);
    server.send(buf);
    
    while(1)
    {
        server.onMessage(buf);
        printf("Received: %s\n\r", buf);
    } 
}

int main()
{
    // serverCommunication();
    
    HardwareLPC1768 hardware_lpc1768(led);
    while(1)
    {
        
        hardware_lpc1768.blink();
    }
}

